﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Runtime.Serialization;
using System.IO;

namespace BladhusClassLibrary
{
    public static class GlobaleData         // fungerer også som facade controler       -- kan flyttes uden for library
    {
        private static Bladhus _bladhuset;
        public static Bladhus Bladhuset { 
            get
            {
                if (_bladhuset == null)
                    _bladhuset = new Bladhus();
                return _bladhuset;
            } 
        }

        public static void SaveBladhus(Stream outStream)
        {
            if (_bladhuset != null)
                (_bladhuset as Bladhus).SaveBladhus(outStream);
        }

        public static void LoadBladhus(Stream inStream)
        {
            _bladhuset = Bladhus.LoadBladhus(inStream);
        }


        // lidt ekstra der er pladseret her af nemhedshensyn

        public static void OpretTestBladhus()
        {
            _bladhuset = new Bladhus();
            BladKartotek bk = _bladhuset.Bladkartoteket;
            Blad b1 = bk.OpretBlad("C# med Bjørk", "1 gang om dagen");
            Blad b2 = bk.OpretBlad("Test med Bjørk", "1 gang om ugen");
            Blad b3 = bk.OpretBlad("Android med Bjørk", "1 gang om ugen");
            Blad b4 = bk.OpretBlad("Windows Phone med Bjørk", "1 gang hver 14. dag");

            KundeKartotek kk = _bladhuset.Kundekartoteket;
            Kunde k1 = kk.OpretKunde(1, "Ole", "Ejlskovsgade 3 indgang A", "5000", "Odense C", "ole@mail.dk");
            Kunde k2 = kk.OpretKunde(2, "Eva", "Ejlskovsgade 3 indgang B", "5000", "Odense C", "eva@mail.dk");
            Kunde k3 = kk.OpretKunde(3, "Bo", "Ejlskovsgade 3 indgang C", "5000", "Odense C", "bo@mail.dk");
            Kunde k4 = kk.OpretKunde(4, "Lis", "Ejlskovsgade 3 indgang D", "5000", "Odense C", "lis@mail.dk");

            k1.OpretAbonnement("Giro", 0, b2);

            k2.OpretAbonnement("Giro", 0, b1);
            k2.OpretAbonnement("Bank", 0, b2);
            k2.OpretAbonnement("Giro", 0, b3);

            k3.OpretAbonnement("Giro", 0, b3);
            k3.OpretAbonnement("Giro", 0, b2);
        }

    }
}
