﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Runtime.Serialization;
using System.IO;

namespace BladhusClassLibrary
{
    [DataContract(IsReference = true)]
    public class Bladhus        // Der samles i eet objekt af hensyn til let serialisering
    {
        [DataMember]
        public KundeKartotek Kundekartoteket { get; private set; }
        [DataMember]
        public BladKartotek Bladkartoteket { get; private set; }

        public Bladhus()
        {
            this.Kundekartoteket = new KundeKartotek();
            this.Bladkartoteket = new BladKartotek();
        }

        public void SaveBladhus(Stream outStream)
        {
            DataContractSerializer serializer = new DataContractSerializer(typeof(Bladhus));
            serializer.WriteObject(outStream, this);
        }

        public static Bladhus LoadBladhus(Stream inStream)
        {
            DataContractSerializer serializer = new DataContractSerializer(typeof(Bladhus));
            return serializer.ReadObject(inStream) as Bladhus;
        }
    }
}
